@echo off
cls
echo This batch will convert any .bmp and .jpg pictures in the input folders 'square_AM'
echo and 'square_PM' to 480x480-pixel 7-color pictures and store them in the output 
echo folders '480x480_AM' and '480x480_PM'.
echo.
echo All already existing files in the output folders '480x480_AM' and '480x480_PM' will 
echo be deleteted. If there is anything you want to keep, save it now.
echo.
pause

for %%d in (_AM _PM) do (
  mkdir 480x480%%d 2>nul
  del /q .\480x480%%d\*.* 2>nul

  cd square%%d
  @echo on
  for %%i in (*.bmp *.jpg) do ..\convert1.exe %%i -resize 480x480  -remap ..\color.bmp  ..\480x480%%d\%%i.bmp
  @echo off

  :: use a random order
  cd ..\480x480%%d
  for %%i in (*.bmp) do call :sub %%i

  :: 000.bmp  001.bmp ... rename
  set n=0
  for /f %%i in ('dir /b  /on *.___') do call :sub2 %%i
  cd ..
)

pause
goto :eof

:sub
set r=00000%random%
set r=%r:~-5%
if exist %r%.___ goto :sub
echo ren %1 %r%.___
ren %1 %r%.___
goto :eof

:sub2
set m=00000%n%
set m=%m:~-3%
echo ren %1 %m%.bmp
ren %1 %m%.bmp
set /a n=n+1
goto :eof

